/*
 * Copyright (C) 2008-2010 WaveMaker Software, Inc.
 *
 * This file is part of WaveMaker Studio.
 *
 * WaveMaker Studio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, version 3 of the License, only.
 *
 * WaveMaker Studio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with WaveMaker Studio.  If not, see <http://www.gnu.org/licenses/>.
 */ 
/*[ Tab, Name, Class, Module, Image ]*/

// built in wm widgets
[ "共通ウィジェット", "ボタン", "wm.Button", "wm.base.widget.Button", "images/wm/button.png", "A simple button"],
[ "共通ウィジェット", "角円ボタン", "wm.RoundedButton", "wm.base.widget.Button", "images/wm/button.png", "A simple rounded button"],
[ "共通ウィジェット", "データグリッド", "wm.DataGrid", "wm.base.widget.DataGrid", "images/wm/data.png", "A grid control for displaying lists"],
[ "共通ウィジェット", "ラベル", "wm.Label", "wm.base.widget.Label", "images/wm/content.png", "Static text"],
[ "共通ウィジェット", "画像", "wm.Picture", "wm.base.widget.Picture", "images/wm/picture.png", "A picture from a url"],
[ "共通ウィジェット", "スペーサー", "wm.Spacer", "wm.base.widget.Spacer", "images/wm/spacer.png", "Add space between widgets"],
[ "共通ウィジェット", "分岐", "wm.Splitter", "wm.base.widget.Splitter", "images/wm/splitter.png", "A moveable bar between widgets"],

[ "コンテナ", "折りたたみ", "wm.AccordionLayers", "wm.base.widget.Layers", "images/wm/press.png", "Accordion controlled container"],
[ "コンテナ", "レイヤー", "wm.Layers", "wm.base.widget.Layers", "images/wm/notebook.png", "Stackable dynamic container"],
[ "コンテナ", "ページコンテナ", "wm.PageContainer", "wm.base.widget.PageContainer", "images/wm/pane.png", "A page container"],
[ "コンテナ", "パネル", "wm.Panel", "wm.base.widget.Panel", "images/wm/panel.png", "Container for other widgets"],
[ "コンテナ", "角円パネル", "wm.FancyPanel", "wm.base.widget.Panel", "images/wm/panel.png", "Container for other widgets"],
[ "コンテナ", "タブ", "wm.TabLayers", "wm.base.widget.Layers", "images/wm/tabbook.png", "Tabbed container for other widgets"],

[ "エディタ", "チェックボックス", "wm.CheckBoxEditor", "wm.base.widget.Editor", "images/wm/edit.png", "A checkbox"],
[ "エディタ", "通貨", "wm.CurrencyEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for currency"],
[ "エディタ", "日付", "wm.DateEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for dates"],
[ "エディタ", "数字", "wm.NumberEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for numbers"],
[ "エディタ", "ラジオボタン", "wm.RadioButtonEditor", "wm.base.widget.Editor", "images/wm/edit.png", "A radiobutton"],
[ "エディタ", "選択", "wm.SelectEditor", "wm.base.widget.Editor", "images/wm/edit.png", "A drop down menu"],
[ "エディタ", "スライダー", "wm.SliderEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for slider"],
[ "エディタ", "テキスト", "wm.TextEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for text"],
[ "エディタ", "テキスト領域", "wm.TextAreaEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for multiline text"],
[ "エディタ", "時間", "wm.TimeEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for time"],
/*[ "エディタ", "ルックアップ", "wm.LookupEditor", "wm.base.widget.Editor", "images/wm/edit.png", "An editor for lookup"],*/
/*[ "エディタ", "ファイルアップロード", "wm.FileUpload", "wm.base.widget.FileUpload", "images/wm/edit.png", "Upload a file"],*/

[ "Dojoウィジェット", "グリッド", "wm.DojoGrid", "wm.base.widget.DojoGrid", "images/wm/data.png", "A Dojo grid"],
[ "Dojoウィジェット", "チャート", "wm.DojoChart", "wm.base.widget.DojoChart", "images/wm/bar_chart.png", "A Dojo chart"],
[ "Dojoウィジェット", "メニュー", "wm.DojoMenu", "wm.base.widget.DojoMenu", "images/wm/menu.png", "A Dojo menu"],
[ "Dojoウィジェット", "フィッシュアイ", "wm.DojoFisheye", "wm.base.widget.DojoFisheye", "images/wm/fisheye.png", "A Dojo Fisheye"],
[ "Dojoウィジェット", "ライトボックス", "wm.DojoLightbox", "wm.base.widget.DojoLightbox", "images/wm/lightbox_16.png", "A Dojo Lightbox"],
/*[ "Dojoウィジェット", "テスト", "wm.DojoWidget", "wm.base.widget.DojoWidget", "images/wm/button.png", "A button with a progress indicator"],*/


[ "フォームツール", "データナビゲータ", "wm.DataNavigator", "wm.base.widget.DataNavigator", "images/wm/edit.png"],
/*[ "フォームツール", "編集パネル", "wm.EditPanel", "wm.base.widget.EditPanel", "images/wm/panel.png"],*/
[ "フォームツール", "ライブフォーム", "wm.LiveForm", "wm.base.widget.LiveForm", "images/wm/content.png"],
[ "フォームツール", "関連エディタ", "wm.RelatedEditor", "wm.base.widget.RelatedEditor", "images/wm/edit.png", "A group of editors for related data"],

[ "その他のウィジェット", "斜線", "wm.Bevel", "wm.base.widget.Bevel", "images/wm/bevel.png", "A bar to put between widgets"],
[ "その他のウィジェット", "カレンダー", "wm.dijit.Calendar", "wm.base.widget.dijit.Calendar", "images/wm.dijit/Calendar.png", "Dojo calendar control"],
[ "その他のウィジェット", "コンテンツ", "wm.Content", "wm.base.widget.Content", "images/wm/content.png", "A display for static markup"],
[ "その他のウィジェット", "HTML", "wm.Html", "wm.base.widget.Html", "images/wm/content.png", "A display for static markup"],
[ "その他のウィジェット", "IFrame", "wm.IFrame", "wm.base.widget.IFrame", "images/wm/pane.png", "An IFrame for external content"],
[ "その他のウィジェット", "リスト", "wm.List", "wm.base.widget.List", "images/wm/content.png", "A simple list control"],
[ "その他のウィジェット", "プログレスバー", "wm.dijit.ProgressBar", "wm.base.widget.dijit.ProgressBar", "images/wm.dijit/ProgressBar.png", "Dojo progress bar"],

[ "テンプレート", "装飾中央", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "Template for OMG", wm.widgetTemplates.fancyCenteredTemplate],
[ "テンプレート", "ページ中央コンテナ", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A 800px wide centered page container with header and footer", wm.widgetTemplates.CenteredPageContainerWithHeaderFooter],
[ "テンプレート", "タイトルバー", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "An App Title Bar", wm.widgetTemplates.titleBar],
[ "テンプレート", "中央レイアウト", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A 600px wide fixed centered layout", wm.widgetTemplates.centeredFixedLayout],
[ "テンプレート", "フッター", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A footer template.", wm.widgetTemplates.footer],
//
[ "テンプレート", "複雑レイアウト", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A complicated layout template.", wm.widgetTemplates.complexLayout],
[ "テンプレート", "検索一覧詳細", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A simple CRUD template.", wm.widgetTemplates.searchListDetail],
[ "テンプレート", "ツールバー", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A toolbar with buttons", wm.widgetTemplates.toolbar],
[ "テンプレート", "２列", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A simple template.", wm.widgetTemplates.twoColumn],
[ "テンプレート", "２列タブ", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "Tabbed two column interface.", wm.widgetTemplates.tabbedTwoColumn],
//[ "テンプレート", "ツールバーとフォーム", "wm.Template", "wm.base.widget.Template", "images/wm/template.png", "A toolbar and simple form template.", wm.widgetTemplates.toolbarWithGroupBox],

[ "Webコンテンツ", "フィードリスト", "wm.FeedList", "wm.base.widget.FeedList", "images/rss.png", "Feed List"],
[ "Webコンテンツ", "Twitterフィード", "wm.TwitterFeed", "wm.base.widget.TwitterFeed", "images/wm/twitter.png", "Twitter Feed"],

//[ "Webコンテンツ", "株", "wm.gadget.Stocks", "wm.base.widget.gadget.Stocks", "images/flash.png", "Stocks Google Gadget"],
[ "Webコンテンツ", "天気", "wm.gadget.Weather", "wm.base.widget.gadget.Weather", "images/flash.png", "Weather Google Gadget"],
[ "Webコンテンツ", "YouTube", "wm.gadget.YouTube", "wm.base.widget.gadget.YouTube", "images/flash.png", "YouTube Google Gadget"],

[ "ベータ", "チェックボックス", "wm.Checkbox", "wm.base.widget.Editors.Checkbox", "images/wm/edit.png", "A checkbox"],
[ "ベータ", "通貨", "wm.Currency", "wm.base.widget.Editors.Text", "images/wm/edit.png", "An editor for currency"],
[ "ベータ", "日付", "wm.Date", "wm.base.widget.Editors.Date", "images/wm/edit.png", "An editor for dates"],
[ "ベータ", "数字", "wm.Number", "wm.base.widget.Editors.Number", "images/wm/edit.png", "An editor for numbers"],
[ "ベータ", "ラジオボタン", "wm.RadioButton", "wm.base.widget.Editors.Radiobutton", "images/wm/edit.png", "A radiobutton"],
[ "ベータ", "選択", "wm.SelectMenu", "wm.base.widget.Editors.Select", "images/wm/edit.png", "A drop down menu"],
[ "ベータ", "スライダー", "wm.Slider", "wm.base.widget.Editors.Number", "images/wm/edit.png", "An editor for slider"],
[ "ベータ", "テキスト", "wm.Text", "wm.base.widget.Editors.Text", "images/wm/edit.png", "An editor for text"],
[ "ベータ", "テキスト領域", "wm.LargeTextArea", "wm.base.widget.Editors.Text", "images/wm/edit.png", "An editor for multiline text"],
[ "ベータ", "時間", "wm.Time", "wm.base.widget.Editors.Date", "images/wm/edit.png", "An editor for time"],
[ "ベータ", "リッチテキスト", "wm.RichText", "wm.base.widget.Editors.RichText", "images/wm/edit.png", "An rich text editor"],
[ "ベータ", "ビジーボタン", "wm.BusyButton", "wm.base.widget.BusyButton", "images/wm/button.png", "A button with a progress indicator"],
[ "ベータ", "ツリー", "wm.Tree", "wm.base.widget.Tree", "images/wm/tree.png", "A tree control"],
[ "ベータ", "ティッカー", "wm.Ticker", "wm.base.widget.Ticker", "images/wm/widget.png", "Animated scrolling panel"],

/*
[ "非表示コンポーネント", "複合パブリッシャ Publisher", "wm.CompositePublisher", "wm.base.components.Publisher", "images/flash.png"],
[ "非表示コンポーネント", "イメージリスト", "wm.ImageList", "wm.base.components.ImageList", "images/wm/picture.png", ""],
[ "非表示コンポーネント", "ライブ変数", "wm.LiveVariable", "wm.base.components.LiveVariable", "images/wm/livevar_24.png"],
[ "非表示コンポーネント", "ナビゲーション呼び出し", "wm.NavigationCall", "wm.base.components.NavigationCall", "images/wm/navigation_24.png"],
[ "非表示コンポーネント", "プロパティ", "wm.Property", "wm.base.components.Property", "images/flash.png" ],
[ "非表示コンポーネント", "サービス変数", "wm.ServiceVariable", "wm.base.components.ServiceVariable", "images/wm/servicevar_24.png"],
[ "非表示コンポーネント", "ログアウト変数", "wm.LogoutVariable", "wm.base.components.LogoutVariable", "images/wm/servicevar_24.png"],
[ "非表示コンポーネント", "テンプレートパブリッシャ", "wm.TemplatePublisher", "wm.base.components.Publisher", "images/flash.png"],
[ "非表示コンポーネント", "変数", "wm.Variable", "wm.base.components.Variable", "images/wm/variable_24.png"],
*/

[ "非表示コンポーネント", "変数", "wm.Variable", "wm.base.components.Variable", "images/wm/variable_24.png"],
[ "非表示コンポーネント", "サービス変数", "wm.ServiceVariable", "wm.base.components.ServiceVariable", "images/wm/servicevar_24.png"],
[ "非表示コンポーネント", "ライブ変数", "wm.LiveVariable", "wm.base.components.LiveVariable", "images/wm/livevar_24.png"],
[ "非表示コンポーネント", "イメージリスト", "wm.ImageList", "wm.base.components.ImageList", "images/wm/picture.png", ""],
[ "非表示コンポーネント", "ナビゲーション呼び出し", "wm.NavigationCall", "wm.base.components.NavigationCall", "images/wm/navigation_24.png"],
[ "非表示コンポーネント", "ログアウト変数", "wm.LogoutVariable", "wm.base.components.LogoutVariable", "images/wm/servicevar_24.png"],

[ "サービス", "データベースサービス", "wm.DataModel", "wm.base.components.DataModel", "images/wm/data_blue.png"],
[ "サービス", "Javaサービス", "wm.JavaService", "wm.base.components.JavaService", "images/wm/component.png"],
[ "サービス", "ライブビュー", "wm.LiveView", "wm.base.components.LiveView", "images/wm/liveview_16.png"],
[ "サービス", "クエリ", "wm.Query", "wm.base.components.Query", "images/wm/operation.png"],
[ "サービス", "セキュリティ", "wm.Security", "wm.base.components.Security", "images/lock_16.png"],
[ "サービス", "Web Service", "wm.WebService", "wm.base.components.WebService", "images/wm/service.png"],

// hidden (don't show up in palette, but images are defined)
[ "", "変数", "wm.Variable", "wm.base.components.Variable", "images/wm/variable_24.png"],
[ "", "ライブ変数", "wm.LiveVariable", "wm.base.components.LiveVariable", "images/wm/livevar_24.png"],
[ "", "サービス変数", "wm.ServiceVariable", "wm.base.components.ServiceVariable", "images/wm/servicevar_24.png"],
[ "", "ナビゲーション呼び出し", "wm.NavigationCall", "wm.base.components.NavigationCall", "images/wm/navigation_24.png"],
[ "", "レイヤ", "wm.Layer", "wm.base.widget.Layers", "images/wm/spacer.png"],
[ "", "レイアウト", "wm.Layout", "wm.base.widget.Layout", "images/wm/panel.png"]
