/*
 *  Copyright (C) 2010 WaveMaker Software, Inc.
 *
 *  This file is part of the WaveMaker Client Runtime.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */


Login.widgets = {
	layoutBox: ["wm.Layout", {height: "100%"}, {}, {
		loginMainPanel: ["wm.Panel", {height: "280px", layoutKind: "left-to-right", border: "0", padding: "10"}, {}, {
			spacer5: ["wm.Spacer", {width: "100%"}, {}],
			loginInputPanel: ["wm.Panel", {_classes: {domNode: ["wm_Border_StyleFirefoxCurved4px", "wm_Border_StyleSolid", "wm_Border_Size1px", "wm_Border_ColorLightGray"]}, padding: "10", width: "280px"}, {}, {
				usernameInput: ["wm.Editor", {caption: "Username", captionSize: "80px", layoutKind: "left-to-right", height: "28px"}, {}, {
					editor: ["wm._TextEditor", {}, {}]
				}],
				passwordInput: ["wm.Editor", {caption: "Password", captionSize: "80px", layoutKind: "left-to-right", height: "28px"}, {}, {
					editor: ["wm._TextEditor", {password: true}, {}]
				}],
				loginButtonPanel: ["wm.Panel", {height: "34px", layoutKind: "left-to-right", border: "0", padding: "4", horizontalAlign: "right"}, {}, {
					loginButton: ["wm.Button", {caption: "Login", width: "60px", border: "0", margin: "0"}, {onclick: "loginButtonClick"}]
				}],
				spacer3: ["wm.Spacer", {height: "30px"}, {}],
				loginErrorMsg: ["wm.Label", {height: "100%", caption: " ", border: "0"}, {}, {
					format: ["wm.DataFormatter", {}, {}]
				}]
			}],
			spacer4: ["wm.Spacer", {width: "100%"}, {}]
		}]
	}]
}
